import 'package:flutter/material.dart';
import 'package:custom_route_transition_nio/custom_route_transition_nio.dart';


void main() => runApp(const MyApp());

class MyApp extends StatelessWidget {
  
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Material App',
      debugShowCheckedModeBanner: false,
      initialRoute: 'page1',
      routes: {
        'page1': ( _ ) => const Page1(),
        'page2': ( _ ) => const Page2(),
      }
    );
  }
}


class Page1 extends StatelessWidget {

  const Page1({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text( 'Page 1' ),
        centerTitle: true,
        backgroundColor: Colors.transparent,
        elevation: 0,
      ),
      backgroundColor: Colors.blue,
      body: Center(
        child: MaterialButton(
          child: const Text( 'Go to page 2'),
          color: Colors.white,
          onPressed: () {

            RouteTransitions(
              context: context,
              child: const Page2(),
              animation: AnimationType.fadeIn,
              duration: const Duration( milliseconds: 100 ),
              replacement: false
            );

          }
        ),
     ),
   );
  }
}

class Page2 extends StatelessWidget {

  const Page2({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {    
    return Scaffold(
      appBar: AppBar(
        title: const Text( 'Page 2' ),
        centerTitle: true,
        backgroundColor: Colors.transparent,
        elevation: 0,
      ),      
      backgroundColor: Colors.blueGrey,
      body: const Center(
        child: Text('Page2'),
     ),
   );
  }
}